#! /bin/bash

if [ -e gnuplot-out/baseline ]; then
    rm gnuplot-out/baseline
fi

for ftype in pos label headpos case gender tense number; do
    for language in Basque English French German Hungarian Polish Swedish; do
	if [ $ftype = gender -a $language = Basque ]; then
	    continue
	fi

	if [ $ftype = case -a $language = French ]; then
	    continue
	fi

	if [ $ftype = gender -a $language = Hungarian ]; then
	    continue
	fi


	if [ $language = English -a '(' $ftype = case -o $ftype = gender -o $ftype = tense -o $ftype = number ')' ]; then
	    continue
	fi

	train=/mnt/experiment/2015-word-emb/train/${language}-${ftype}-w2v-skip-10-5.train.txt
	test=/mnt/experiment/2015-word-emb/test/${language}-${ftype}-w2v-skip-10-5.test.txt
	most=$(sed 's/ .*//' $train | sort | uniq -c  | sort -nr -k 1 | awk '{print $2}' | head -n 1)
	all=$(wc -l < $test)
	hits=$(grep "^${most} " $test | wc -l)
	frac=$(echo "scale=10; "$hits/$all*100 | bc)
	# echo $fname
	echo $frac >> gnuplot-out/baseline
    done
done
